Subject: Re: Cross-compile Applications for 860 on x86

From: Brendan J Simon <[email-masked]>
Date: Sun, 16 Jan 2000 13:01:19 +1100

dony wrote:

> Hi,
>      When I compile the SASH  with "-static" options and then replace /bin/sh with sash.
> When reseting my MPC860 based board, the kernel boot normally and can show the boot messages. But at last it
> cannot show the "bash#" prompt. If I input "ls" or such commands,
> It justs shows :
>
>     ls
>     pid 8: killed (signal 11)
>     ls
>     pid 9: killed (signal 11)
>     ls
>     pid 10: killed (signal 11)
>
> Do you know why? What do I miss?

Maybe.  Did you redefine SASH to 1 in init/main.c ?
I'm not sure if it is necessary but it might help.  It looks like SASH is running but you do not have a prompt.

Typing "ls" causes the ls executable in /bin to run (or try to).  You are getting signal 11 (seg fault) because
of shared library problems.  I too haven't solved these yet :(

Type "help" and you will see the list of builtin commands.  Try "-ls" and you should get a directory listing
using the builtin version of ls instead of /bin/ls.

Brendan Simon.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/